## ros-dashing-py-trees 1.3.0

=== Makefile ===
#############################################################################################
# Build Documentation
#############################################################################################

NAME=`./setup.py --name`
VERSION=`./setup.py --version`

help:
	@echo "Local Build"
	@echo "  build     : build the python package"
	@echo "  tests     : run all of the nosetests"
	@echo "  clean     : clean build/dist directories"
	@echo "Packages"
	@echo "  pypi      : upload the package to PyPI"
	@echo "  source_deb: source packaging (for ppas)"
	@echo "  deb       : build the deb"
	@echo "Documentation"
	@echo "  docs      : buidl sphinx documentation"

docs:
	PY_TREES_DISABLE_COLORS=1 sphinx-build -E -b html doc doc/html

build:
	python setup.py build

clean:
	-rm -f MANIFEST
	-rm -rf build dist
	-rm -rf deb_dist
	-rm -rf debian
	-rm -rf ../*.build
	-rm -rf *.tar.gz
	-rm -rf *.egg-info

source_package:
	python setup.py sdist

source_deb:
	rm -rf dist deb_dist
	python setup.py --command-packages=stdeb.command sdist_dsc

deb:
	rm -rf dist deb_dist
	python setup.py --command-packages=stdeb.command bdist_deb

# Pypi Packaging Tutorial: https://packaging.python.org/tutorials/packaging-projects/
#
# Use with a ~/.pypirc file:
#
# [distutils]
# index-servers =
#     pypi
#
# [pypi]
# repository = https://upload.pypi.org/legacy/
# username:<username>
# password:<password>
#
# Note, you probably need to register the first time.
# You can also send it to testpypi first if you wish (see tutorial).

pypi:
	python setup.py sdist bdist_wheel
	twine upload dist/*

pypi_test:
	python setup.py sdist bdist_wheel
	twine upload --repository-url https://test.pypi.org/legacy/ dist/*

tests:
	python setup.py test

.PHONY: tests clean

=== debian/changelog ===
ros-dashing-py-trees (1.3.0-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 03 Oct 2019 12:59:05 -0000

ros-dashing-py-trees (1.2.2-1bionic) bionic; urgency=high

  * [trees] standalone ``setup()`` method with timer for use on unmanaged trees, #198 <https://github.com/splintered-reality/py_trees/pull/198>
  * [examples] fix api in ``skeleton_tree.py``,  #199 <https://github.com/splintered-reality/py_trees/pull/199>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 06 Aug 2019 04:00:00 -0000

ros-dashing-py-trees (1.2.1-1bionic) bionic; urgency=high

  * [decorators] ``StatusToBlackboard`` reflects the status of it's child to the blackboard, #195 <https://github.com/splintered-reality/py_trees/pull/195>
  * [decorators] ``EternalGuard`` decorator that continuously guards a subtree (c.f. Unreal conditions), #195 <https://github.com/splintered-reality/py_trees/pull/195>
  * [idioms] ``eternal_guard`` counterpart to the decorator whose conditions are behaviours, #195 <https://github.com/splintered-reality/py_trees/pull/195>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 21 May 2019 04:00:00 -0000

ros-dashing-py-trees (1.1.0-1bionic) bionic; urgency=high

  **Breaking API**
  * [display] print_ascii_tree -> ascii_tree, #178 <https://github.com/splintered-reality/py_trees/pull/178>.
  * [display] generate_pydot_graph -> dot_graph, #178 <https://github.com/splintered-reality/py_trees/pull/178>.
  * [trees] tick_tock(sleep_ms, ..) -> tick_tock(period_ms, ...),  #182 <https://github.com/splintered-reality/py_trees/pull/182>.
  **New Features**
  * [trees] add missing ``add_visitor()`` method
  * [trees] flexible ``setup()`` for children via kwargs
  * [trees] convenience method for ascii tree debugging
  * [display] highlight the tip in ascii tree snapshots
  **Bugfixes**
  * [trees] threaded timers for setup (avoids multiprocessing problems)
  * [behaviour|composites] bugfix tip behaviour, add tests
  * [display] correct first indent when non-zero in ascii_tree
  * [display] apply same formatting to root as children in ascii_tree

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 19 Mar 2019 04:00:00 -0000

ros-dashing-py-trees (1.0.6-1bionic) bionic; urgency=high

  * [decorators] fix missing root feedback message in ascii graphs

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 06 Mar 2019 05:00:00 -0000

ros-dashing-py-trees (1.0.5-1bionic) bionic; urgency=high

  * [decorators] fix timeout bug that doesn't respect a child's last tick

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 28 Feb 2019 05:00:00 -0000

ros-dashing-py-trees (1.0.4-1bionic) bionic; urgency=high

  * [display] drop spline curves, it's buggy with graphviz 2.38

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 26 Feb 2019 05:00:00 -0000

ros-dashing-py-trees (1.0.3-1bionic) bionic; urgency=high

  * [visitors] winds of change visitor and logging demo

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 13 Feb 2019 05:00:00 -0000

ros-dashing-py-trees (1.0.2-1bionic) bionic; urgency=high

  * [console] fallbacks for unicode chars when (UTF-8) encoding cannot support them

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 13 Feb 2019 05:00:00 -0000

ros-dashing-py-trees (1.0.1-1bionic) bionic; urgency=high

  * [trees] don't use multiprocess on setup if not using timeouts

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 12 Feb 2018 05:00:00 -0000

ros-dashing-py-trees (1.0.0-1bionic) bionic; urgency=high

  **Breaking API**
  * [behaviour] setup() no longer returns a boolean, catch exceptions instead, #143 <https://github.com/stonier/py_trees/issues/143>.
  * [behaviour] setup() no longer takes timeouts, responsibility moved to BehaviourTree, #148 <https://github.com/stonier/py_trees/issues/148>.
  * [decorators] new-style decorators found in py_trees.decorators
  * [decorators] new-style decorators stop their running child on completion (SUCCESS||FAILURE)
  * [decorators] old-style decorators in py_trees.meta deprecated
  **New Features**
  * [blackboard] added a method for clearing the entire blackboard (useful for tests)
  * [composites] raise TypeError when children's setup methods don't return a bool (common mistake)
  * [composites] new parallel policies, SuccessOnAll, SuccessOnSelected
  * [decorators] oneshot policies for activating on completion or *successful* completion only
  * [meta] behaviours from functions can now automagically generate names

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 18 Jan 2019 05:00:00 -0000

ros-dashing-py-trees (0.8.0-1bionic) bionic; urgency=high

  * [infra] shortcuts to types in __init__.py removed (PR117 <https://github.com/stonier/py_trees/pull/117>)
  * [bugfix] python3 rosdeps
  * [idioms] pick_up_where_you_left_off added

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 18 Oct 2018 04:00:00 -0000

ros-dashing-py-trees (0.7.5-1bionic) bionic; urgency=high

  * [idioms] oneshot added
  * [bugfix] properly set/reset parents when replacing/removing children in composites

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 10 Oct 2018 04:00:00 -0000

ros-dashing-py-trees (0.7.0-1bionic) bionic; urgency=high

  * [announce] python3 only support from this point forward
  * [announce] now compatible for ros2 projects

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 27 Sep 2018 04:00:00 -0000

ros-dashing-py-trees (0.6.5-1bionic) bionic; urgency=high

  * [bugfix] pick up missing feedback messages in inverters
  * [bugfix] eliminate costly/spammy blackboard variable check feedback message

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 19 Sep 2018 04:00:00 -0000

ros-dashing-py-trees (0.6.4-1bionic) bionic; urgency=high

  * [bugfix] replace awkward newlines with spaces in ascii trees

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 19 Sep 2018 04:00:00 -0000

ros-dashing-py-trees (0.6.3-1bionic) bionic; urgency=high



=== debian/control ===
Source: ros-dashing-py-trees
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-nose, python3-nose-yanc, python3-setuptools, ros-dashing-ros-workspace, python3-all, python3-setuptools
Homepage: http://py-trees.readthedocs.io
Standards-Version: 3.9.2

Package: ros-dashing-py-trees
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-pydot, ros-dashing-ros-workspace
Description: Pythonic implementation of behaviour trees.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Python package installation variables
export PYBUILD_INSTALL_ARGS=--prefix "/opt/ros/dashing" \
	--install-lib "\$$base/lib/{interpreter}/site-packages" \
	 --install-scripts "\$$base/bin" 

%:
	dh $@ -v --buildsystem=pybuild --with python3

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-py-trees//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
